<script setup lang="ts">
import { usePromotionStore } from '@/stores/promotion';
import { ref } from 'vue';
import PromoDialogDetele from './PromoDialogDetele.vue';
import PromoDialogType1 from './PromoDialogType1.vue';
import PromoDialogType2 from './PromoDialogType2.vue';
import PromoDialogType3 from './PromoDialogType3.vue';
import PromoDialogType from './PromoDialogType.vue';
const promoStore = usePromotionStore()

promoStore.promotions.sort((a, b) => a.id - b.id)
const  headers =[
          {
            key: 'id',
            sortable: false,
            title: 'Id',
          },
          { key: 'name', title: 'Name' },
          { key: 'con', title: 'Condition' },
          { key: 'start', title: 'Start' },
          { key: 'end', title: 'End' },
          { key: 'status', title: 'Status' },
          { key: 'discount', title: 'Discount' },
          { key: 'unit', title: 'Unit' },
          { key: 'product', title: 'Product' },
          { key: 'price', title: 'Price' },
          { title: 'Actions', key: 'actions', sortable: false },
        ]
</script>

<template>
    <v-data-table 
            :headers="headers"
            :items="promoStore.promotions"
            :search="promoStore.search"
            :items-per-page="8"
            style="background-color: #E7D0B9;"
            
            >

            <template v-slot:[`item.actions`]="{ item }">
      <v-icon
        size="small"
        class="me-2"
        @click="promoStore.editPromotion(item)"
      >
        mdi-pencil
      </v-icon>
      <v-icon
        size="small"
        @click="promoStore.openDialogDelete(item)"
      >
        mdi-delete
      </v-icon>
    </template>
</v-data-table>

<PromoDialogDetele></PromoDialogDetele>
<PromoDialogType1></PromoDialogType1>
<PromoDialogType2></PromoDialogType2>
<PromoDialogType3></PromoDialogType3>
<PromoDialogType></PromoDialogType>
</template>
<style scoped>
  tbody tr:nth-of-type(even) {
    background-color: #D2BAA0;
  }

  tbody tr:nth-of-type(odd) {
    background-color: #E7D0B9;
  }

  thead {
    background-color: #BC9B6B;
    color: rgb(0, 0, 0);
    font-weight: bold;
  }


  .theme--light.v-data-table thead tr th {
    color: white;
  }
  
  
</style>